For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet account information
        • GETGet compliance actions
        • POSTRecord a compliance action
        • GETGet account history
        • GETReturn account info of current account
        • GETGet account margin configuration
        • POSTSet margin configuration
        • GETGet account profile information
        • PUTUpdates account profile
        • POSTUpdates account max slippage for a specific market
        • POSTUpdates account notification preferences
        • POSTUpdates the last-seen notification timestamp
        • POSTUpdates account profile fields
        • POSTRefresh inventory for authenticated account
        • POSTUpdates account size currency display preference
        • POSTUpdates account profile username fields
        • POSTUpdates account referred_by field
        • GETGet account settings
        • POSTUpdates account trading value display
        • GETList sub-accounts of current account
        • GETGet account summaries (main account + authorized accounts)
        • GETList balances
        • GETList fills
        • GETFunding payments history
        • GETList open positions
        • GETList tradebusts
        • GETList transactions
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAccount

List balances

GET
https://api.prod.paradex.trade/v1/balance
GET
/v1/balance
$curl -X GET https://api.prod.paradex.trade/v1/balance \
> -H 'Accept: application/json' \
> -H 'Authorization: Bearer {JWT}'
1{
2 "results": [
3 {
4 "average_entry_price": "2901.34",
5 "average_entry_price_usd": "2902.18",
6 "cost": "105.4623",
7 "cost_usd": "105.8311",
8 "last_updated_at": 1681462770114,
9 "size": "123003.620",
10 "token": "USDC"
11 }
12 ]
13}
Respond with requester's own balances
Was this page helpful?
Previous

List fills

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

OK
resultslist of objects
Array of results

Errors

400
Bad Request Error
401
Unauthorized Error